|
@@ -0,0 +1,85 @@
|
|
|
+#!/usr/bin/env bash
|
|
|
+
|
|
|
+# void script: installs build dependencies for Void Linux
|
|
|
+#
|
|
|
+# Copyright (C) 2021 Caleb La Grange <thonkpeasant@protonmail.com>
|
|
|
+#
|
|
|
+# This program is free software: you can redistribute it and/or modify
|
|
|
+# it under the terms of the GNU General Public License as published by
|
|
|
+# the Free Software Foundation, either version 3 of the License, or
|
|
|
+# (at your option) any later version.
|
|
|
+#
|
|
|
+# This program is distributed in the hope that it will be useful,
|
|
|
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
|
|
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
|
|
+# GNU General Public License for more details.
|
|
|
+#
|
|
|
+# You should have received a copy of the GNU General Public License
|
|
|
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
|
|
|
+#
|
|
|
+
|
|
|
+[ "x${DEBUG+set}" = 'xset' ] && set -v
|
|
|
+set -u -e
|
|
|
+
|
|
|
+if [ $EUID -ne 0 ]; then
|
|
|
+ printf "This script must be run as root\n"
|
|
|
+ exit 1
|
|
|
+fi
|
|
|
+
|
|
|
+# Duplications are intentional. Please do not re-factor.
|
|
|
+#
|
|
|
+# This is so that they can moved to separate scripts.
|
|
|
+#
|
|
|
+
|
|
|
+xbps-install -y wget
|
|
|
+
|
|
|
+# For downloading source code
|
|
|
+# ------------------------------------------------------------
|
|
|
+
|
|
|
+xbps-install -y git
|
|
|
+
|
|
|
+# For Tianocore and iPXE
|
|
|
+# TODO: check whether this is the full list
|
|
|
+
|
|
|
+xbps-install -y nasm perl-LWP python subversion
|
|
|
+
|
|
|
+# For building source code:
|
|
|
+# ------------------------------------------------------------
|
|
|
+
|
|
|
+xbps-install -y base-devel
|
|
|
+
|
|
|
+# for running the crostool script (to get mrc.bin file for t440p)
|
|
|
+xbps-install -y sharutils curl parted e2fsprogs unzip
|
|
|
+
|
|
|
+# for cross-compiling ARM binaries
|
|
|
+xbps-install -y cross-arm-none-eabi-gcc
|
|
|
+
|
|
|
+# Memtest86+ build dependencies
|
|
|
+# ------------------------------------------------------------
|
|
|
+
|
|
|
+xbps-install -y base-devel python
|
|
|
+
|
|
|
+# i945-pwm build dependencies
|
|
|
+# ------------------------------------------------------------
|
|
|
+
|
|
|
+xbps-install -y base-devel perl
|
|
|
+
|
|
|
+# Coreboot build dependencies (also requires build-essential and git)
|
|
|
+# ------------------------------------------------------------
|
|
|
+
|
|
|
+xbps-install -y ncurses doxygen acpica-utils gdb flex bison base-devel git openssl gcc-ada
|
|
|
+
|
|
|
+# GRUB build dependencies (also requires build-essential, bison and flex)
|
|
|
+# ------------------------------------------------------------
|
|
|
+
|
|
|
+xbps-install -y font-unifont-bdf autogen help2man base-devel bison flex dejavu-fonts-ttf texinfo rsync python3 libusb xz gawk device-mapper fuse gettext freetype
|
|
|
+
|
|
|
+# BucTS build dependencies (external script)
|
|
|
+# ------------------------------------------------------------
|
|
|
+
|
|
|
+xbps-install -y base-devel
|
|
|
+
|
|
|
+# Flashrom build dependencies (also requires build-essential)
|
|
|
+# ------------------------------------------------------------
|
|
|
+
|
|
|
+xbps-install -y libpciaccess pciutils zlib libftdi1 base-devel libusb
|